summaryrefslogtreecommitdiffstats
path: root/source/n/bsd-finger
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/bsd-finger')
-rw-r--r--source/n/bsd-finger/bsd-finger-0.17.diff20
-rwxr-xr-xsource/n/bsd-finger/bsd-finger.SlackBuild70
-rw-r--r--source/n/bsd-finger/slack-desc20
3 files changed, 110 insertions, 0 deletions
diff --git a/source/n/bsd-finger/bsd-finger-0.17.diff b/source/n/bsd-finger/bsd-finger-0.17.diff
new file mode 100644
index 000000000..c9eff6e66
--- /dev/null
+++ b/source/n/bsd-finger/bsd-finger-0.17.diff
@@ -0,0 +1,20 @@
+--- ./finger/finger.h.orig Sun Feb 25 17:18:59 2001
++++ ./finger/finger.h Sun Feb 25 17:19:12 2001
+@@ -39,6 +39,7 @@
+
+ #include <pwd.h>
+ #include <utmp.h>
++#include <time.h>
+
+ /*
+ * All unique persons are linked in a list headed by "head" and linkd
+--- ./fingerd/fingerd.c.orig Sun Feb 25 17:21:14 2001
++++ ./fingerd/fingerd.c Sun Feb 25 17:21:29 2001
+@@ -55,6 +55,7 @@
+ #include <netinet/in.h>
+ #include <sys/utsname.h>
+ #include <sys/wait.h>
++#include <sys/socket.h>
+
+ #include "pathnames.h"
+ #include "../version.h"
diff --git a/source/n/bsd-finger/bsd-finger.SlackBuild b/source/n/bsd-finger/bsd-finger.SlackBuild
new file mode 100755
index 000000000..214470278
--- /dev/null
+++ b/source/n/bsd-finger/bsd-finger.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=0.17
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-bsd-finger
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+tar xvf $CWD/bsd-finger-$VERSION.tar.gz || exit 1
+cd bsd-finger-$VERSION || exit 1
+chown -R root:root .
+zcat $CWD/bsd-finger-0.17.diff.gz | patch -p1 || exit
+./configure --prefix=/usr
+make || exit 1
+cd finger
+strip finger
+mkdir -p $PKG/usr/bin
+cat finger > $PKG/usr/bin/finger
+chmod 755 $PKG/usr/bin/finger
+mkdir -p $PKG/usr/man/man{1,8}
+cat finger.1 | gzip -9c > $PKG/usr/man/man1/finger.1.gz
+cd ../fingerd
+strip fingerd
+mkdir -p $PKG/usr/sbin
+cat fingerd > $PKG/usr/sbin/in.fingerd
+chmod 755 $PKG/usr/sbin/in.fingerd
+cat fingerd.8 | gzip -9c > $PKG/usr/man/man8/in.fingerd.8.gz
+cd ..
+
+mkdir -p $PKG/usr/doc/bsd-finger-$VERSION
+cp -a README $PKG/usr/doc/bsd-finger-$VERSION
+chown root:root $PKG/usr/doc/bsd-finger-$VERSION/*
+chmod 644 $PKG/usr/doc/bsd-finger-$VERSION/*
+
+# Finish up the package:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/bsd-finger-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/n/bsd-finger/slack-desc b/source/n/bsd-finger/slack-desc
new file mode 100644
index 000000000..d3b9ea63a
--- /dev/null
+++ b/source/n/bsd-finger/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bsd-finger: bsd-finger (user information lookup program)
+bsd-finger:
+bsd-finger: The finger displays information about the system users. Finger
+bsd-finger: displays the user's login name, real name, terminal name and write
+bsd-finger: status (as a ``*'' after the terminal name if write permission is
+bsd-finger: denied), idle time, login time, office location and office phone
+bsd-finger: number.
+bsd-finger:
+bsd-finger: As fingerd leaks semi-private information about your machine's
+bsd-finger: usernames and other data, fingerd should be used with caution.
+bsd-finger: Allow machines on a need-to-know basis.
+